> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/zec/image/describeimagecopyprogress.md).

# DescribeImageCopyProgress

## 1. 接口描述

本接口(DescribeImageCopyProgress)用于查询自定义镜像在各个目标区域的复制进度。

{% hint style="info" %}
**注意事项**

* 本接口仅在镜像状态为 `SYNCING` 时返回进度数据，其他状态返回空列表。
* 已完成复制的目标区域不会出现在返回列表中。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称    | 必选 | 类型     | 描述        |
| ------- | -- | ------ | --------- |
| imageId | 是  | String | 自定义镜像 ID。 |

## 3. 响应结果

| 参数名称      | 类型                                                                                             | 描述                                                       |
| --------- | ---------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId | String                                                                                         | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| dataSet   | Array of [ImageCopyProgress](/api-reference/cn/compute/zec/datastructure.md#imagecopyprogress) | <p>镜像复制进度列表，仅包含进行中的目标区域。</p><p>镜像状态非SYNCING时返回空列表。</p>   |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询镜像复制进度**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeImageCopyProgress
<Common Request Params>

Request：
{
  "imageId": "<custom image id>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "dataSet": [
      {
        "destRegionId": "asia-south-1",
        "destRegionName": "Guangzhou",
        "syncStage": "PREPARING",
        "queued": false,
        "syncPercent": null,
        "errorInfo": null
      },
      {
        "destRegionId": "asia-north-1",
        "destRegionName": "Beijing",
        "syncStage": "TRANSFERRING",
        "queued": true,
        "syncPercent": null,
        "errorInfo": null
      },
      {
        "destRegionId": "asia-southeast-1",
        "destRegionName": "Hong Kong",
        "syncStage": "TRANSFERRING",
        "queued": false,
        "syncPercent": 74.23,
        "errorInfo": null
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                        | 说明           |
| ------- | -------------------------- | ------------ |
| 404     | INVALID\_IMAGE\_NOT\_FOUND | 镜像不存在。       |
| 400     | INVALID\_IMAGE\_STATUS     | 镜像的状态不支持此操作。 |
